.sidebar {
  border: 1px solid $black;
  background-color: #ffffff;
  @include max-767 {
    margin-top: sp-sizing-2(60px);
  }

  &__header-container {
    background-color: $black;
    text-align: center;
  }

  &__header {
    color: $yellow;
    font-size: 1.6rem;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    padding: 4.5px 0;
    margin: 0;
    @include max-767 {
      font-size: sp-sizing-2(2.8rem);
      padding: sp-sizing(20px) 0;
    }
  }

  &__content-container {
    padding: 19px 19px 25px;
    @include max-767 {
      padding: sp-sizing-2(40px) sp-sizing-2(48px) ;
    }
  }

  &__img {
    width: 100%;
  }

  &__announcement {
    margin: 13px 0 2px;
    line-height: 1.45em;
    font-size: 1.8rem;
    font-family: $noto-serif;
    font-weight: 500;
    @include max-767 {
      margin: sp-sizing-2(28px) 0 0;
      line-height: 1.5em;
      font-size: sp-sizing-2(3.2rem);
    }
  }

  &__date {
    font-size: 1.4rem;
    @include max-767 {
      font-size: sp-sizing-2(2.4rem);
    }
  }

  &__content {
    line-height: 1.5em;
    font-size: 1.6rem;
    margin-bottom: 0;
    @include max-767 {
      font-size: sp-sizing-2(2.8rem);
    }
  }

  &__content-container .article__category {
    margin-bottom: 11px;
    @include max-767 {
      margin-bottom: sp-sizing(39px);
    }

    &--red {
      margin-bottom: 2px;
    }
  }

  &__ranking-list {
    padding: 0 16px;
    @include max-767 {
      padding-left: sp-sizing-2(36px);
      padding-right: 0;
    }
  }

  &__ranking-item {
    position: relative;
    font-size: 1.6rem;
    counter-increment: li;
    line-height: 1.5em;
    padding-left: 9px;
    @include max-767 {
      font-size: sp-sizing-2(2.8rem);
    }
    &::before {
      position: absolute;
      content: counter(li);
      color: $black;
      left: -16px;
      top: 3px;
      font-weight: 700;
      font-size: 1.8rem;
      line-height: 1.14em;
      @include max-767 {
        top: 0;
        font-size: sp-sizing-2(3.2rem);
      }
    }
  }

  &__ranking-item {
    margin-bottom: 11px;
    @include max-767 {
      margin-bottom: sp-sizing-2(35px) 0;
    }
  }

  &__ranking-item:last-child {
    margin: 0;
  }

  &__tag-list {
    flex-wrap: wrap;
    justify-content: flex-start;
    column-gap: 15px;
    @include display-flex;
    @include max-767 {
      column-gap: sp-sizing-2(34px);
    }
  }

  &__tag-item {
    font-size: 1.6rem;
    line-height: 2.5em;
    display: inline-block;
    width: fit-content;
    @include max-767 {
      font-size: sp-sizing-2(2.8rem);
    }
  }
}
